@echo off
cls
echo      Hard disk installation program for AstroSoft ANSI SYMBOLS
echo:
echo                for AUTOCAD VERSION 10+
echo:
echo          ANSI SYMBOL Files will be installed to %1\%2
echo:
echo          If this is not correct press ^C [ control C ] 
echo          to abort installation.
echo:
echo      The install procedure will rename :
echo        - ACAD.MNU to ACADMNU.BAK and replace it with 
echo          a new ACAD.MNU file that contains pull down
echo          menu options for the ANSI, DELTA ,Pick Block
echo          and BORDER icon menus.
echo         -ACAD.PGP to ACADPGP.ORG
echo:  
if %1ok==ok goto nospec
%1
if %3e==e goto nosource
pause
CD\%2
:chknme
IF EXIST %3\ANSILIB1.* goto instal
GOTO ABORT
:instal
%1
cd\%2
if exist %1\%2\ACAD.MNU goto rename
goto nodir
:instal1
%3pkunzip -o %3ANSILIB1
ren acad10.mnu acad.mnu
ren acad10.pgp acad.pgp
goto end
:nospec
echo Usage: INSTAL10 d: ACAD A:   Where d: is the logical name of your hard disk.
echo                             and ACAD is the directory name for Autocad
echo                             drawing files.
echo                             - leave a space between    d: and ACAD
echo                             A: is the SOURCE drive Letter
echo                             For example    INSTAL10 C: ACAD A:
echo                             will install the ANSI SYMBOLS and
echo                             MENU files on hard disk C:\ACAD
echo                             A: is the Source Drive.
echo                             Existing menu file ACAD.MNU will be renamed
echo	                         ACADMNU.BAK
goto end1
:nodir
echo          INSTALLATION ERROR:              
echo:
echo                             Specified directory %1\%2 not valid !!!
echo:     
echo                             ACAD.MNU file must be in directory.
echo                             Please re-enter drive and directory -
echo                             don't forget to leave a space between 
echo                             the Drive and Directory name and Source Drive. 
goto end1
:rename
if exist %1\%2\acadmnu.bak goto befor
ren %1\%2\acad.pgp acadpgp.org
ren %1\%2\ACAD.MNU ACADMNU.BAK
echo       ACAD.MNU renamed to ACADMNU.BAK
echo       ACAD.PGP renamed to ACADPGP.ORG
goto instal1
:end
echo    ***********  INSTALLATION COMPLETE  ********************
echo:
echo              62 Drawing Files Copied
echo               1 ACAD.MNU File Copied for Ver 10
echo               3 Slide Library Files Copied
echo               2 Slide Files copied
echo               1 ANSIREAD.ME File Copied
echo               1 ANSI.BAT File Copied
echo              12 ANSI Support Files Copied
echo:
echo               Type  ANSI  -Enter- at anytime
echo               %1\%2 directory for HELP or INFO
echo:
echo           ANSI OnLine Help will run when you Exit
pause
goto end2
:nosource
echo:
echo           No SOURCE Drive Letter specified
echo:
goto end1
goto chknme
:befor
echo            File ACADMNU.BAK Exists in %1\%2
goto before
:ABORT
echo:
echo               ZIP FILE NOT FOUND IN %3
echo:
echo        PLEASE CHECK PATH\DIRECTORY AND TRY AGAIN
echo:
echo            ***** Installation ABORTED *****
goto end1
:end2
ansi
:end1